Name:      ibus-chewing
Summary:   ibus - Chinese chewing engine
Version:   1.5.1
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/definite/ibus-chewing
Source0:   https://github.com/definite/ibus-chewing/releases/download/%version/%name-%version.tar.gz
Source1:   https://fedorahosted.org/releases/c/m/cmake-fedora/cmake-fedora-modules-only-latest.tar.gz
BuildRequires: libxtst-devel
BuildRequires: libx11-devel
BuildRequires: libchewing-devel
BuildRequires: ibus-devel >= 1.3.9-3
BuildRequires: gtk2-devel
BuildRequires: gettext
BuildRequires: gob2
BuildRequires: cmake
BuildRequires: GConf2
BuildRequires: pkgconfig(gconf-2.0)
Requires:	ibus >= 1.3.0
Requires:	libchewing-data
Requires(preun): GConf2

%description
ibus - Chinese chewing engine.

%prep
%setup -q -n %name-%version -a1

%build
%setup_compile_flags
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DLIBEXEC_DIR="%{_libexecdir}" -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir}
%make
make translations

%install
%makeinstall_std

rm -fr %buildroot%_datadir/doc

%find_lang %name

%preun
%preun_uninstall_gconf_schemas %name

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING README RELEASE-NOTES.txt USER-GUIDE
%{_libexecdir}/ibus-*
%{_datadir}/applications/ibus-setup-chewing.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.IBus.Chewing.gschema.xml
%{_datadir}/%name
%{_datadir}/ibus/component/*.xml


%changelog
* Fri Aug 12 2016 yochenhsieh <yochenhsieh> 1.5.1-1.mga6
+ Revision: 1046078
- New version 1.5.1

* Wed May 11 2016 yochenhsieh <yochenhsieh> 1.5.0-1.mga6
+ Revision: 1012960
- new version 1.5.0

* Mon Feb 15 2016 umeabot <umeabot> 1.4.14-2.mga6
+ Revision: 960634
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 yochenhsieh <yochenhsieh> 1.4.14-1.mga6
+ Revision: 837913
- New version 1.4.14

* Wed Oct 15 2014 umeabot <umeabot> 1.4.10.1-3.mga5
+ Revision: 742825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.10.1-2.mga5
+ Revision: 680411
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 yochenhsieh <yochenhsieh> 1.4.10.1-1.mga5
+ Revision: 670372
- new version 1.4.10.1

* Sun Jan 26 2014 luigiwalser <luigiwalser> 1.4.7-1.mga5
+ Revision: 568343
- 1.4.7

  + fwang <fwang>
    - update file list
    - add br
    - update fedora module
    - new version 1.4.5

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 505952
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 354060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 1.4.3-1.mga3
+ Revision: 322500
- new version 1.4.3

* Tue Oct 23 2012 fwang <fwang> 1.4.2-2.mga3
+ Revision: 309343
- rebuild for new ibus

* Sat Sep 08 2012 fwang <fwang> 1.4.2-1.mga3
+ Revision: 289902
- new version 1.4.2

* Thu Jul 26 2012 yochenhsieh <yochenhsieh> 1.4.0-1.mga3
+ Revision: 274474
- Update build patch for 1.4.0
- New version 1.4.0

* Sat Oct 29 2011 fwang <fwang> 1.3.10-1.mga2
+ Revision: 159405
- fix build
- new version 1.3.10

* Sat Sep 24 2011 fwang <fwang> 1.3.9.2-3.mga2
+ Revision: 147480
- br gcon
- rebuild for new ibus

* Wed Jun 15 2011 fwang <fwang> 1.3.9.2-2.mga2
+ Revision: 107388
- add helper for registering engine

* Thu Apr 14 2011 tv <tv> 1.3.9.2-1.mga1
+ Revision: 85360
- rediff patch0

  + ennael <ennael>
    - new release, fix many bugs
      remove buildroot

* Fri Mar 18 2011 tv <tv> 1.3.7.20100910-1.mga1
+ Revision: 73557
- imported package ibus-chewing

